PostalAddressSEPA
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class PostalAddressSEPA

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.PostalAddressSEPA

-     public class PostalAddressSEPA
      extends java.lang.Object

  Java class for PostalAddressSEPA complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PostalAddressSEPA">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ctry" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}CountryCode" minOccurs="0"/>
               <element name="AdrLine" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}Max70Text" maxOccurs="2" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `adrLine`
    `protected java.lang.String` | `ctry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostalAddressSEPA()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAdrLine()` Gets the value of the adrLine property.
    `java.lang.String` | `getCtry()` Gets the value of the ctry property.
    `void` | `setCtry(java.lang.String value)` Sets the value of the ctry property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ctry

          protected java.lang.String ctry

    - #### adrLine

          protected java.util.List<java.lang.String> adrLine

  - ### Constructor Detail

    - #### PostalAddressSEPA

          public PostalAddressSEPA()

  - ### Method Detail

    - #### getCtry

          public java.lang.String getCtry()

      Gets the value of the ctry property.
      Returns:
        possible object is `String`

    - #### setCtry

          public void setCtry(java.lang.String value)

      Sets the value of the ctry property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdrLine

          public java.util.List<java.lang.String> getAdrLine()

      Gets the value of the adrLine property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adrLine property.

      For example, to add a new item, do as follows:

              getAdrLine().add(newItem);

      Objects of the following type(s) are allowed in the list `String`